opensaml::saml2p::SAML2MessageEncoder Class Reference

Base class for SAML 2.0 MessageEncoders. More...

`#include <saml/saml2/binding/SAML2MessageEncoder.h>`

Inheritance diagram for opensaml::saml2p::SAML2MessageEncoder:
[legend]
Collaboration diagram for opensaml::saml2p::SAML2MessageEncoder:
[legend]

## Public Member Functions

const XMLCh * | getProtocolFamily () const
| Returns identifier for the protocol family associated with the encoder.
Public Member Functions inherited from opensaml::MessageEncoder
virtual bool | isCompact () const
| Indicates whether the encoding format requires that messages be as compact as possible.
virtual bool | isUserAgentPresent () const
| Indicates whether a web browser or similar user agent will receive the message.
virtual long | encode (xmltooling::GenericResponse &genericResponse, xmltooling::XMLObject *xmlObject, const char *destination, const saml2md::EntityDescriptor *recipient=0, const char *relayState=0, const ArtifactGenerator *artifactGenerator=0, const xmltooling::Credential *credential=0, const XMLCh *signatureAlg=0, const XMLCh *digestAlg=0) const =0
| Encodes an XML object/message into a binding- and transport-specific response.

## Protected Member Functions

void | preserveCorrelationID (xmltooling::HTTPResponse &response, const RequestAbstractType &message, const char *relayState) const
| If the message is a request and relay state is provided, the request ID is preserved in a correlation cookie.

## Detailed Description

Base class for SAML 2.0 MessageEncoders.

## Member Function Documentation

## getProtocolFamily()

const XMLCh * opensaml::saml2p::SAML2MessageEncoder::getProtocolFamily | ( |  | ) | const

virtual

Returns identifier for the protocol family associated with the encoder.

Returns
  a protocol family identifier, or nullptr

Reimplemented from opensaml::MessageEncoder.

## preserveCorrelationID()

void opensaml::saml2p::SAML2MessageEncoder::preserveCorrelationID | ( | xmltooling::HTTPResponse & | response,
|  | const RequestAbstractType & | message,
|  | const char * | relayState ) const

protected

If the message is a request and relay state is provided, the request ID is preserved in a correlation cookie.

Parameters

  response | HTTP response
  message | the SAML message
  relayState | the RelayState token

The documentation for this class was generated from the following file:

- saml/saml2/binding/SAML2MessageEncoder.h